<?php
function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('digital_marketing_agency_service_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
        }
    // }   
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $digital_marketing_agency_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <div class="<?php echo $colCls;?>">
                           <div  service-match-height="groupName" class="digital_marketing_agency-service-box <?php echo esc_attr(get_theme_mod('digital_marketing_agency_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                                 <div class="digital_marketing_agency-service-image">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="ser_img">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $digital_marketing_agency_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                                        }
                                        ?> 
                                        <img class="digital_marketing_agency-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('digital_marketing_agency_services_post_image_height','200')) ?>px;" />
                                         <div class="overlay"></div>
                                        </div>
                                    </a>
                                     <?php if( get_theme_mod('digital_marketing_agency_service_icon_enable',true) == true){ ?>
                                    <div class="digital_marketing_agency-service-icon">
                                        <i class="<?php echo esc_attr(get_theme_mod('digital_marketing_agency_service_icon' . $i, 'fa fa-line-chart')); ?>"></i>
                                    </div>
                                    <?php }?>
                                </div>
                                   
                                    <div class="digital_marketing_agency-service-content" style="text-align: <?php if(get_theme_mod('digital_marketing_agency_services_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('digital_marketing_agency_services_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('digital_marketing_agency_services_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                        <h4 class="service_Box_heading"><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('digital_marketing_agency_service_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('digital_marketing_agency_service_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('digital_marketing_agency_service_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a></h4>
                                        <p><?php $digital_marketing_agency_excerpt = get_the_excerpt(); echo esc_html( digital_marketing_agency_string_limit_words( $digital_marketing_agency_excerpt, esc_attr(get_theme_mod('digital_marketing_agency_services_post_excerpt','20')) ) ); ?></p>  
                                         <?php if( get_theme_mod('digital_marketing_agency_service_button_enable',true) == true){ ?>  
                                        <div class="service-btn">
                                              <div class="row">
                                            <div class="col-md-9 col-sm-9 col-xs-9 pd-0 servc-btn">   
                                        <?php
                                             $digital_marketing_agency_service_button_text = get_theme_mod('digital_marketing_agency_service_button_text', 'Learn More'); ?>
                                        
                                            <a class="more-button btn btn-lg red" href="<?php the_permalink(); ?>"><?php echo ($digital_marketing_agency_service_button_text );  ?><!-- <i class="fa fa-angle-double-right" aria-hidden="true"></i> -->
                                                
                                            </a>
                                        
                                        </div>
                                        <div class="col-md-3 col-sm-3 col-xs-3 pd-0 arrow-bg">

                                            <div class="service-btn-arrow">
                                                 <a href="<?php the_permalink(); ?>">
                                                    <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                                                
                                            </a>
                                            </div>
                                        </div>
                                         <div class="clearfix"></div>
                                    </div>

                                        </div>
                                        <?php }?>
                                    </div> 
                                     </div>                          
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

     </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('digital_marketing_agency_service_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
            ?>

        <div class="row"> <?php

            while ($query->have_posts()) : $query->the_post();
                $digital_marketing_agency_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <div class="<?php echo $colCls;?>">
                           <div  service-match-height="groupName" class="digital_marketing_agency-service-box <?php echo esc_attr(get_theme_mod('digital_marketing_agency_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                                 <div class="digital_marketing_agency-service-image">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $digital_marketing_agency_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                                        }
                                        ?>   
                                        <img class="digital_marketing_agency-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('digital_marketing_agency_services_post_image_height','200')) ?>px;" />
                                        <div class="overlay"></div>
                                    </a>
                                </div>
                                <div class="digital_marketing_agency-service-content" style="text-align: <?php if(get_theme_mod('digital_marketing_agency_services_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('digital_marketing_agency_services_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('digital_marketing_agency_services_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                   <h4 class="service_Box_heading"><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('digital_marketing_agency_service_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('digital_marketing_agency_service_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('digital_marketing_agency_service_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a></h4>
                                    <p><?php $digital_marketing_agency_excerpt = get_the_excerpt(); echo esc_html( digital_marketing_agency_string_limit_words( $digital_marketing_agency_excerpt, esc_attr(get_theme_mod('    digital_marketing_agency_services_post_excerpt','20')) ) ); ?></p>
                                    <?php if( get_theme_mod('digital_marketing_agency_services_post_excerpt','Yes') == 'Yes'){ ?>
                                        <a href="<?php the_permalink(); ?>" class="read-btn"><?php echo esc_html('Read More', 'digital_marketing_agency'); ?><i class="fa fa-long-arrow-right"></i></a>
                                    <?php }?>
                                </div>
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile; ?>
     <div class="clearfix"></div>
    </div> <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
