<?php 

$lzGoogleFonts = getFonts(true);


$wp_customize->add_section(
	'digital_marketing_agency_premium_general_section',
	array(
		'title' => __( 'Font Setting', 'digital_marketing_agency Premium' ),
		'panel' => 'digital_marketing_agency_general_panel'
	)
);

$wp_customize->add_setting(
	'digital_marketing_agency_general_headeing_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '27'
	)
);
$wp_customize->add_control(
	new digital_marketing_agency_Font_Chooser(
		$wp_customize,
		'digital_marketing_agency_general_headeing_font',
		array(
			'settings'=> 'digital_marketing_agency_general_headeing_font',
			'section' => 'digital_marketing_agency_premium_general_section',
			'label'=>__('Heading Fonts/Title Fonts', 'digital_marketing_agency Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);

$wp_customize->add_setting(
	'digital_marketing_agency_general_text_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '27'
	)
);
$wp_customize->add_control(
	new digital_marketing_agency_Font_Chooser(
		$wp_customize,
		'digital_marketing_agency_general_text_font',
		array(
			'settings'=> 'digital_marketing_agency_general_text_font',
			'section' => 'digital_marketing_agency_premium_general_section',
			'label'=>__('Body/Text Font', 'digital_marketing_agency Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);
?>