<?php 
// /HEADER SETTINGS IN CUSTOMIZER
 $wp_customize->add_section( 'header_menu_settings' , array(
        'title'    => __( 'Menu Settings', 'digital_marketing_agency-premium' ),
        'priority' => null,
        'panel' => 'digital_marketing_agency_header_panel2'
    ) ); 

    

$wp_customize->add_setting('digital_marketing_agency_reset_menusetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digital_marketing_agency_reset_menusetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Menu Settings', 'digital_marketing_agency'),
  'description' => 'digital_marketing_agency_menusetting_reset_settings',
  'section' => 'header_menu_settings' 
)));

    $wp_customize->add_setting('digital_marketing_agency_menusetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digital_marketing_agency_menusetting_nav', array(
       'section' => 'header_menu_settings',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               'digital_marketing_agency_submenu_animation',
               'digital_marketing_agency_menu_case',
               'digital_marketing_agency_menu_font_size',
               'digital_marketing_agency_menu_font_weight'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'header_topmenusColor',
                'header_topmenushoverColor',
                'header_topmenusactiveColor',
                'header_topsubmenusColor',
                'header_submenusbgc1Color',
                'header_submenusbgc2Color'                          
            ),
         ),
          array(
            'name' => esc_html__('Responsive Menu', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-desktop',
            'fields' => array(
                'header_topsubmenuiconColor',
                'header_respnavtoggbarbgColor',
                'header_respnavsubmenuColor',
                'header_respnavsubmenubgColor',
                'header_respnavbsbgssColor',
                'header_navigationrespnavbrssColor',
                'digital_marketing_agency_respmenu_font_size'
           ),
         )
        ),
    )));

//menu dropdown animation
$lzmenuanimation = getAnimations(true);

$wp_customize->add_setting(
   'digital_marketing_agency_submenu_animation',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new digital_marketing_agency_Font_Chooser(
      $wp_customize,
      'digital_marketing_agency_submenu_animation',
      array(
         'settings'=> 'digital_marketing_agency_submenu_animation',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Dropdown Animations', 'digital_marketing_agency Premium'),
         'choices'=>$lzmenuanimation
      )
   )
);



//menu font case
$lzmenufontcase = getfontcase(true);

$wp_customize->add_setting(
   'digital_marketing_agency_menu_case',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new digital_marketing_agency_Font_Chooser(
      $wp_customize,
      'digital_marketing_agency_menu_case',
      array(
         'settings'=> 'digital_marketing_agency_menu_case',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Font Case', 'digital_marketing_agency Premium'),
         'choices'=>$lzmenufontcase
      )
   )
); 

   $wp_customize->add_setting('digital_marketing_agency_menu_font_size',array(
      'default' => '18px',
      'sanitize_callback'  => 'digital_marketing_agency_sanitize_integer'
   ));
   $wp_customize->add_control('digital_marketing_agency_menu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','digital_marketing_agency'),
      'section' => 'header_menu_settings',
   ));

   $wp_customize->add_setting('digital_marketing_agency_menu_font_weight',array(
     'default' => '400',
     'sanitize_callback' => 'digital_marketing_agency_sanitize_choices'
   ));
   $wp_customize->add_control('digital_marketing_agency_menu_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','digital_marketing_agency'),
      'section' => 'header_menu_settings',
      'choices' => array(
         '300' => __('300','digital_marketing_agency'),
         '400' => __('400','digital_marketing_agency'),
         '600' => __('600','digital_marketing_agency'),
         '700' => __('700','digital_marketing_agency'),
         '800' => __('800','digital_marketing_agency')
      ),
   ));





addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_menu_settings', 'Menus color', '');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_menu_settings', 'Menus Hover color', '');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_menu_settings', 'Active Menus color', '');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_menu_settings', 'Dropdown Menus color', '');

addColorPalatOption($wp_customize, 'header_submenusbgc1Color', 'header_menu_settings', 'Dropdown Background color', '');
addColorPalatOption($wp_customize, 'header_submenusbgc2Color', 'header_menu_settings', 'Dropdown Background color', '');

addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'header_menu_settings', 'Menus Icon color', '');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgColor', 'header_menu_settings', 'Toggle Bar color', '');

addColorPalatOption($wp_customize, 'header_respnavsubmenuColor', 'header_menu_settings', 'Submenus Color', '');
addColorPalatOption($wp_customize, 'header_respnavsubmenubgColor', 'header_menu_settings', 'Submenus BG Color', '');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_menu_settings', 'Background Color', '');
addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_menu_settings', 'Border Color', '');

 $wp_customize->add_setting('digital_marketing_agency_respmenu_font_size',array(
      'default' => '16px',
      'sanitize_callback'  => 'digital_marketing_agency_sanitize_integer'
   ));
   $wp_customize->add_control('digital_marketing_agency_respmenu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','digital_marketing_agency'),
      'section' => 'header_menu_settings',
   ));
?>