<?php 
//Bottom Header
    $wp_customize->add_section( 'digital_marketing_agency_other_setting' , array(
        'title'    => __( 'Other Setting', 'digital_marketing_agency-premium' ),
        'priority' => null,
        'panel' => 'digital_marketing_agency_header_panel1'
    ) );




$wp_customize->add_setting('digital_marketing_agency_reset_othersetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digital_marketing_agency_reset_othersetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Other Settings', 'digital_marketing_agency'),
  'description' => 'digital_marketing_agency_othersetting_reset_settings',
  'section' => 'digital_marketing_agency_other_setting'
)));

   $wp_customize->add_setting('digital_marketing_agency_othersetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));


    $wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digital_marketing_agency_othersetting_nav', array(
       'section' => 'digital_marketing_agency_other_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'back_top_btn_on_off',
                'digital_marketing_agency_breadcrumbhometxt'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(    
                'digital_marketing_agency_template_innerpage_backttoparrcbgcolor',  
                'digital_marketing_agency_template_innerpage_backttoparrcbghvrcolor',          
                'digital_marketing_agency_template_innerpage_breadcrumbtitlecolor',
                'digital_marketing_agency_template_innerpage_breadcrumbcurrenttitlecolor',
                'digital_marketing_agency_template_innerpage_breadcrumbcurrenttitlehovercolor'              
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'back_top_btn_on_off',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
    )
);
$wp_customize->add_control(
    new digital_marketing_agency_Switch_Control(
        $wp_customize,
        'back_top_btn_on_off',
        array(
            'settings'      => 'back_top_btn_on_off',
            'section'       => 'digital_marketing_agency_other_setting',
            'label'         => __( 'Show Back to Top Button', 'digital_marketing_agency-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'digital_marketing_agency-premium' ),
                'off' => __( 'No', 'digital_marketing_agency-premium' )
            ),
        )
    )
);

$wp_customize->add_setting(
        'digital_marketing_agency_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
            'default'           => __( 'Home', 'digital_marketing_agency' )
        )
    );
    $wp_customize->add_control(
        'digital_marketing_agency_breadcrumbhometxt',
        array(
            'settings'      => 'digital_marketing_agency_breadcrumbhometxt',
            'section'       => 'digital_marketing_agency_other_setting',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'digital_marketing_agency' )
        )
    );
     addColorPalatOption($wp_customize, 'digital_marketing_agency_template_innerpage_backttoparrcbgcolor', 'digital_marketing_agency_other_setting', 'Back to Top Button Color', '');

      addColorPalatOption($wp_customize, 'digital_marketing_agency_template_innerpage_backttoparrcbghvrcolor', 'digital_marketing_agency_other_setting', 'Back to Top Button Hover Color', '');


      addColorPalatOption($wp_customize, 'digital_marketing_agency_template_innerpage_breadcrumbtitlecolor', 'digital_marketing_agency_other_setting', 'Breadcrumb Title Color', '');


      addColorPalatOption($wp_customize, 'digital_marketing_agency_template_innerpage_breadcrumbcurrenttitlecolor', 'digital_marketing_agency_other_setting', 'Breadcrumb Current Title Color', '');


      addColorPalatOption($wp_customize, 'digital_marketing_agency_template_innerpage_breadcrumbcurrenttitlehovercolor', 'digital_marketing_agency_other_setting', 'Breadcrumb Current Title Hover Color', '');

// end to show & hide button
?>