<?php 
  $lvl2ParentPanel3 = new digital_marketing_agency_WP_Customize_Panel( $wp_customize, 'digital_marketing_agency_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'digital_marketing_agency_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'digitalmarketingagency_section', array(
    'title' => 'Section Test page',
    'panel' => 'digital_marketing_agency_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'digitalmarketingagency_contact_pages' , array(
        'title'    => __( 'Contact Page', 'digitalmarketingagency-premium' ),
        'priority' => null,
        'panel' => 'digital_marketing_agency_header_panel3'
    ) );

$wp_customize->add_setting('digitalmarketingagency_reset_contactpages_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digitalmarketingagency_reset_contactpages_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Contact Pages Settings', 'digital_marketing_agency-premium'),
  'description' => 'digital_marketing_agency_contactpages_reset_settings',
  'section' => 'digitalmarketingagency_contact_pages'
)));
    

    $wp_customize->add_setting('digitalmarketingagency_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digitalmarketingagency_contactpages_nav', array(
       'section' => 'digitalmarketingagency_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digitalmarketingagency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'digitalmarketingagency_contactpage_title',
                 'digitalmarketingagency_contactpage_subtitle',
                 'digitalmarketingagency_contactpage_text',
                 'digitalmarketingagency_contact_page_phonetitle1',
                 'digitalmarketingagency_contact_page_phonenum1',
                 'digitalmarketingagency_contact_page_address_infobox_title',
                'digitalmarketingagency_contactpage_address_label',
                'digitalmarketingagency_contactpage_address',
                'digitalmarketingagency_contactpage_address_line1',
                'digitalmarketingagency_contactpage_address_line2',
                'digitalmarketingagency_contactpage_working_label',
                'digitalmarketingagency_contactpage_phone',
                'digitalmarketingagency_contact_page_phonetitle2',
                'digitalmarketingagency_contact_page_phonenum2',
                'digitalmarketingagency_contact_page_phone_label',
                'digitalmarketingagency_contactpage_email_label',                
                'digitalmarketingagency_contactpage_email',
                'digitalmarketingagency_contactpage_email_another',
                'digitalmarketingagency_contactpage_formtitle',
                 'digitalmarketingagency_contactpage_formsubtitle',
                 'digitalmarketingagency_contactpage_formtext',
                'digitalmarketingagency_contactpage_form_shortcode',
                'digitalmarketingagency_contact_fb',
                'digitalmarketingagency_contact_fb',
                'digitalmarketingagency_contact_tw',
                'digitalmarketingagency_contact_in',
                'digitalmarketingagency_contact_youtube',
                'digitalmarketingagency_contact_instagram',
                'digitalmarketingagency_contact_whatsapp',
                'digitalmarketingagency_contact_pinterest',
                'digitalmarketingagency_contactpage_iframe_shortcode'
            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'digitalmarketingagency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'digitalmarketingagency_contactpage_content_align',            
                'digitalmarketingagency_contactpage_box_onload_effects',                
                'digitalmarketingagency_contactpage_heading_color',
                'digitalmarketingagency_contact_page_subheading_color',
                'digitalmarketingagency_contact_page_subheadingborder_color',
                'digitalmarketingagency_contact_page_text_color',
                'digitalmarketingagency_contactpage_icon_color',
                'digitalmarketingagency_contactpage_phonetitle_color',
                'digitalmarketingagency_contact_page_phonenum_color',
                'digitalmarketingagency_contact_page_phonenumhover_color',
                'digitalmarketingagency_contact_page_phonenumboxbg_color',
                'digitalmarketingagency_contactpage_info_color',
                'digitalmarketingagency_contactpage_infohover_color',
                'digitalmarketingagency_contactpage_infoborder_color',
                'digitalmarketingagency_contact_page_infoboxbg_color',
                'digitalmarketingagency_contactpage_formboxbg_color',
                'digitalmarketingagency_contactpage_formtext_color',
                'digitalmarketingagency_contactpage_formlabel_color',
                'digitalmarketingagency_contactpage_formbg_color',
                'digitalmarketingagency_contactpage_formborder_color',
                'digitalmarketingagency_contactpage_formbtnbg_color1',
                'digitalmarketingagency_contact_page_formbtnbghover_color',
                'digitalmarketingagency_contactpage_formbtntext_color'
            ),
         )
        ),
    )));


$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_title',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'WE ARE HERE TO HELP YOU', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_title',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_title',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( ' Title', 'digital_marketing_agency-premium' )
    )
);



$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_subtitle',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'QUICK CONTACT', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_subtitle',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_subtitle',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Sub Title', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_text',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available but the majority have suffered alteration in some form, by injected humour', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_text',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_text',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Text', 'digital_marketing_agency-premium' )
    )
);



$wp_customize->add_setting(
    'digitalmarketingagency_contact_page_phonetitle1',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Emergency Handyman Works', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contact_page_phonetitle1',
    array(
        'settings'      => 'digitalmarketingagency_contact_page_phonetitle1',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Emergency Label ', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digitalmarketingagency_contact_page_phonenum1',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_phone_number',
        'default'           => __( '+888 56 78 9012', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contact_page_phonenum1',
    array(
        'settings'      => 'digitalmarketingagency_contact_page_phonenum1',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Emergency Phone Number', 'digital_marketing_agency-premium' )
    )
);



$wp_customize->add_setting(
    'digitalmarketingagency_contact_page_address_infobox_title',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'MAIN BRANCH', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contact_page_address_infobox_title',
    array(
        'settings'      => 'digitalmarketingagency_contact_page_address_infobox_title',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Info Title' , 'digital_marketing_agency-premium' )
    )
);



$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_address_label',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'ADDRESS :', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_address_label',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_address_label',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Address label', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_address',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Delanson, New York, 12053', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_address',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_address',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 1', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_address_line1',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_address_line1',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_address_line1',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 2', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_address_line2',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_address_line2',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_address_line2',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address Line 3', 'digital_marketing_agency-premium' )
    )
);



$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_email_label',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Email :', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_email_label',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_email_label',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email label', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_email',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'contact@example.com', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_email',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_email',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting(
    'digitalmarketingagency_contact_page_phone_label',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Phone :', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contact_page_phone_label',
    array(
        'settings'      => 'digitalmarketingagency_contact_page_phone_label',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone label', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_phone',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_phone_number',
        'default'           => __( '+1 999 999 9999', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_phone',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_phone',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'digital_marketing_agency-premium' )
    )
);



$wp_customize->add_setting(
    'digitalmarketingagency_contact_page_phonetitle2',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Frequently Asked Questions', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contact_page_phonetitle2',
    array(
        'settings'      => 'digitalmarketingagency_contact_page_phonetitle2',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'FAQ Label ', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digitalmarketingagency_contact_page_phonenum2',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_phone_number',
        'default'           => __( '+888 56 78 9012', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contact_page_phonenum2',
    array(
        'settings'      => 'digitalmarketingagency_contact_page_phonenum2',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'FAQ Phone Number', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_formtitle',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'SEND YOUR MESSAGE', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_formtitle',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_formtitle',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Title', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_formsubtitle',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'CONTACT FORM', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_formsubtitle',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_formsubtitle',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Sub Title', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_formtext',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available but the majority have suffered alteration in some form, by injected humour', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_formtext',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_formtext',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Form Text', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting(
    'digitalmarketingagency_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digitalmarketingagency_contactpage_form_shortcode',
    array(
        'settings'      => 'digitalmarketingagency_contactpage_form_shortcode',
        'section'       => 'digitalmarketingagency_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'digital_marketing_agency-premium' )
    )
);


$wp_customize->add_setting('digitalmarketingagency_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('digitalmarketingagency_contactpage_iframe_shortcode', array('settings'=>'digitalmarketingagency_contactpage_iframe_shortcode', 'section'=>'digitalmarketingagency_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'digital_marketing_agency-premium')));


     $wp_customize->add_setting('digitalmarketingagency_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digitalmarketingagency_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','digital_marketing_agency-premium'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','digital_marketing_agency-premium'),
            'wow bounceInRight' => __('Bounce In Right','digital_marketing_agency-premium'),
            'wow bounceInUp' => __('Bounce In Up','digital_marketing_agency-premium'),
            'wow bounceInDown' => __('Bounce In Down','digital_marketing_agency-premium'),
            'wow zoomIn' => __('Zoom In','digital_marketing_agency-premium'),
            'wow zoomOut' => __('Zoom Out','digital_marketing_agency-premium'),
            'wow fadeInDown' => __('Fade In Down','digital_marketing_agency-premium'),            
            'wow fadeInUp' => __('Fade In Up','digital_marketing_agency-premium'),
            'wow fadeInLeft' => __('Fade In Left','digital_marketing_agency-premium'),
            'wow fadeInRight' => __('Fade In Right','digital_marketing_agency-premium'),
            'flip-up' => __('Flip Up','digital_marketing_agency-premium')
        ),
        'section' => 'digitalmarketingagency_contact_pages',
    ));

addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_heading_color', 'digitalmarketingagency_contact_pages', 'Heading color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_subheading_color', 'digitalmarketingagency_contact_pages', 'Sub heading color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_subheadingborder_color', 'digitalmarketingagency_contact_pages', 'Sub heading border color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_text_color', 'digitalmarketingagency_contact_pages', 'Text color ', '');

addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_icon_color', 'digitalmarketingagency_contact_pages', 'Icon color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_phonetitle_color', 'digitalmarketingagency_contact_pages', 'Phone title color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_phonenum_color', 'digitalmarketingagency_contact_pages', 'Phone number color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_phonenumhover_color', 'digitalmarketingagency_contact_pages', 'Phone number hover color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_phonenumboxbg_color', 'digitalmarketingagency_contact_pages', 'Phone box background color ', '');

addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_info_color', 'digitalmarketingagency_contact_pages', 'Title, data & link color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_infohover_color', 'digitalmarketingagency_contact_pages', 'Link hover color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_infoborder_color', 'digitalmarketingagency_contact_pages', 'Border color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_infoboxbg_color', 'digitalmarketingagency_contact_pages', 'Info box background color ', '');

addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_formboxbg_color', 'digitalmarketingagency_contact_pages', 'Form box background color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_formtext_color', 'digitalmarketingagency_contact_pages', 'Form text color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_formlabel_color', 'digitalmarketingagency_contact_pages', 'Form label color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_formbg_color', 'digitalmarketingagency_contact_pages', 'Form background color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_formborder_color', 'digitalmarketingagency_contact_pages', 'Form border color ', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_formbtnbg_color1', 'digitalmarketingagency_contact_pages', 'Form button background color', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contact_page_formbtnbghover_color', 'digitalmarketingagency_contact_pages', 'Form button background hover color', '');
addColorPalatOption($wp_customize, 'digitalmarketingagency_contactpage_formbtntext_color', 'digitalmarketingagency_contact_pages', 'Form button text color', '');
?>