<?php
/**
 * Createing a bog pannel for customizer
 *
 *
 */

$digital_marketing_agency_categories = get_categories(array('hide_empty' => 0));
foreach ($digital_marketing_agency_categories as $digital_marketing_agency_category) {
	$digital_marketing_agency_cat[$digital_marketing_agency_category->term_id] = $digital_marketing_agency_category->cat_name;
}

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'digital_marketing_agency_premium_blog_section',
	array(
		'title' => __( 'Blog Section', 'digital_marketing_agency Premium' ),
        // 'panel' => 'digital_marketing_agency_premium_home_panel'
		'priority' =>19
	)
);

$wp_customize->add_setting(
	'digital_marketing_agency_premium_blog_section_disable',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
	)
);
$wp_customize->add_control(
	new digital_marketing_agency_Switch_Control(
		$wp_customize,
		'digital_marketing_agency_premium_blog_section_disable',
		array(
			'settings'      => 'digital_marketing_agency_premium_blog_section_disable',
			'section'       => 'digital_marketing_agency_premium_blog_section',
			'label'         => __( 'Show Title and description at top', 'digital_marketing_agency Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'digital_marketing_agency Premium' ),
				'off' => __( 'No', 'digital_marketing_agency Premium' )
			),
		)
	)
);
$wp_customize->add_setting(
	'digital_marketing_agency_blog_title_heading',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text'
	)
);
$wp_customize->add_control(
	new digital_marketing_agency_Customize_Heading(
		$wp_customize,
		'digital_marketing_agency_blog_title_heading',
		array(
			'settings'      => 'digital_marketing_agency_blog_title_heading',
			'section'       => 'digital_marketing_agency_premium_blog_section',
			'label'         => __( 'Blog Title & description', 'digital_marketing_agency Premium' ),
		)
	)
);
//BLOG PAGE TITLE
$wp_customize->add_setting('digital_marketing_agency_blog_title', array('sanitize_callback' => 'digital_marketing_agency_sanitize_text'));
$wp_customize->add_control('digital_marketing_agency_blog_title', array('settings'=>'digital_marketing_agency_blog_title', 'section'=>'digital_marketing_agency_premium_blog_section','type'=>'text', 'label'=> __('Blog page title', 'digital_marketing_agency Premium')));
// BLOG PAGE DESCRIPTION
$wp_customize->add_setting('digital_marketing_agency_blog_desc', array('sanitize_callback' => 'digital_marketing_agency_sanitize_text'));
$wp_customize->add_control('digital_marketing_agency_blog_desc', array('settings'=>'digital_marketing_agency_blog_desc', 'section'=>'digital_marketing_agency_premium_blog_section','type'=>'textarea', 'label'=> __('Blog page description', 'digital_marketing_agency Premium')));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('digital_marketing_agency_blog_categories', array('sanitize_callback' => 'digital_marketing_agency_sanitize_text'));
$wp_customize->add_control(
	new digital_marketing_agency_Customize_Checkbox_Multiple(
        $wp_customize,
        'digital_marketing_agency_blog_categories',
        array(
            'label' => __('Exclude Category from Blog Posts', 'total'),
            'section' => 'digital_marketing_agency_premium_blog_section',
            'settings' => 'digital_marketing_agency_blog_categories',
            'choices' => $digital_marketing_agency_cat
        )
    )
);
?>