<?php

$wp_customize->add_panel(
    'digital_marketing_agency_general_panel',
    array(
        'priority' => 22,
        'title' => __('General Configuration', 'digital_marketing_agency Premium')
    )
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
    'title' => __( 'Static Front Page', 'digital_marketing_agency Premium' ),
    'panel' => 'digital_marketing_agency_general_panel',
    'description' => __( 'Your theme supports a static front page.', 'digital_marketing_agency Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Site Logo/Title/Tagline', 'digital_marketing_agency Premium' ),
    'panel' => 'digital_marketing_agency_general_panel',
) );

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
    'title' => __( 'Background Image Setting', 'digital_marketing_agency Premium' ),
    'panel' => 'digital_marketing_agency_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
    'title' => __( 'Header Image', 'digital_marketing_agency Premium' ),
    'panel' => 'digital_marketing_agency_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
    'header_settings',
    array(
        'title' => __( 'Header Settings', 'digital_marketing_agency Premium' ),
        'panel' => 'digital_marketing_agency_general_panel',
    )
);

// $wp_customize->add_setting(
//     'inner_headertitleboxstickyTpadding',
//     array(
//         'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
//         'default'           => __( '10em', 'digital_marketing_agency-premium' )
//     )
// );
// $wp_customize->add_control(
//     'inner_headertitleboxstickyTpadding',
//     array(
//         'settings'      => 'inner_headertitleboxstickyTpadding',
//         'section'       => 'header_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Sticky Page Title Box Top Padding', 'digital_marketing_agency-premium' )
//     )
// );







// lzCustomLable($wp_customize, 'header_clrlbtnTxt', 'header_settings', 'Set Header Button:');

// // appointment buttton
// $wp_customize->add_setting(
//     'headermain_headerbtntitle',
//     array(
//         'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
//         'default'           => __( 'Quick Inquiry' )
//     )
// );
// $wp_customize->add_control(
//     'headermain_headerbtntitle',
//     array(
//         'settings'      => 'headermain_headerbtntitle',
//         'section'       => 'header_settings',
//         'type'          => 'text',
//         'label'         => __( 'Header Button Text', 'digital_marketing_agency-premium' )
//     )
// );
// $wp_customize->add_setting('header_headerbtn',  array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('header_headerbtn',
//     array(
//         'settings'      => 'header_headerbtn',
//         'section'       => 'header_settings',
//         'type'          => 'url',
//         'label'         => __( 'Add button link here', 'digital_marketing_agency-premium' )
//     )
// );


// //Set header button colour
// addColorPalatOption($wp_customize, 'headerbtn_color', 'header_settings', 'Header Button Color', '');

// //Set header button bg colour
// addColorPalatOption($wp_customize, 'headerbtnbg_color1', 'header_settings', 'Header Button Background Color', '');

// //Set header button bg colour
// addColorPalatOption($wp_customize, 'headerbtnbg_color2', 'header_settings', 'Header Button Background Color', '');

// //Set header button bg hover colour
// addColorPalatOption($wp_customize, 'headerbtnbghover_color', 'header_settings', 'Header Button Background Hover Color', '');

// //Set header button hover colour
// addColorPalatOption($wp_customize, 'headerbtnhover_color', 'header_settings', 'Header Button Hover Color', '');

// //Set header button icon colour
// addColorPalatOption($wp_customize, 'headerbtnicon_color', 'header_settings', 'Header Button Icon Color', '');

// //Set header button icon hover colour
// addColorPalatOption($wp_customize, 'headerbtniconbg_color', 'header_settings', 'Header Button Icon Hover Color', '');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
    'title' => __( 'Colors' , 'digital_marketing_agency Premium'),
    'panel' => 'digital_marketing_agency_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'digital_marketing_agency_template_color', 'colors', 'Theme Primary Color', '#431e88');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#4a8cec');

lzCustomLable($wp_customize, 'digital_marketing_agency_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Color Setting For Innerpage Colors:');


addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner  Cart Page Product Title Color', '#000');

addColorPalatOption($wp_customize, 'digital_marketing_agency_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price color', '#868b9e');
addColorPalatOption($wp_customize, 'digital_marketing_agency_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price color', '#7c8491');


  
lzCustomLable($wp_customize, 'allblog_heading2label', 'digital_marketing_agency_blogpage_settings', 'Post Heading Font Size Setting:');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '23px', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'digital_marketing_agency_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'digital_marketing_agency-premium' )
    )
);




lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'digital_marketing_agency_blogpage_settings', 'Post Date & Admin Display Setting:');

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'digital_marketing_agency_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date & Admin', 'hide' => 'Hide Post Date & Admin', ), ) ); 

// end to show & hide button


lzCustomLable($wp_customize, 'singleblog_lblbuttonabtdisplay', 'digital_marketing_agency_blogpage_settings', 'Post social Icons Display Setting:');


//for POSTPAGEsocialsshare to show & hide button

$wp_customize->add_setting( 'postsocialsshare_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postsocialsshare_button_display', array( 'label' => 'Post social Icons Display', 'section' => 'digital_marketing_agency_blogpage_settings', 'settings' => 'postsocialsshare_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Social Icons', 'hide' => 'Hide Social Icons', ), ) ); 

// end to show & hide button
$wp_customize->add_section(
    'digital_marketing_agency_innerpagefont_settings',
    array(
        'title' => __( 'Inner Page Settings', 'digital_marketing_agency-premium' ),
        'panel' => 'digital_marketing_agency_general_panel',
    )
);

lzCustomLable($wp_customize, 'digital_marketing_agency_innerpageh1_fontsizeset', 'digital_marketing_agency_innerpagefont_settings', ' Heading 1:');


$wp_customize->add_setting(
    'pages_innerpageheading',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '35px', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading',
    array(
        'settings'      => 'pages_innerpageheading',
        'section'       => 'digital_marketing_agency_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Size', 'digital_marketing_agency-premium' )
    )
);


lzCustomLable($wp_customize, 'digital_marketing_agency_innerpageh2_fontsizeset', 'digital_marketing_agency_innerpagefont_settings', ' Heading 2:');


$wp_customize->add_setting(
    'pages_innerpageheading2',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '24px', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading2',
    array(
        'settings'      => 'pages_innerpageheading2',
        'section'       => 'digital_marketing_agency_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Size', 'digital_marketing_agency-premium' )
    )
);
 

lzCustomLable($wp_customize, 'digital_marketing_agency_innerpageh3_fontsizeset', 'digital_marketing_agency_innerpagefont_settings', ' Heading 3:');


$wp_customize->add_setting(
    'pages_innerpageheading3',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '20px', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading3',
    array(
        'settings'      => 'pages_innerpageheading3',
        'section'       => 'digital_marketing_agency_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Size', 'digital_marketing_agency-premium' )
    )
);

lzCustomLable($wp_customize, 'digital_marketing_agency_innerpageh4_fontsizeset', 'digital_marketing_agency_innerpagefont_settings', ' Heading 4:');


$wp_customize->add_setting(
    'pages_innerpageheading4',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '18px', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading4',
    array(
        'settings'      => 'pages_innerpageheading4',
        'section'       => 'digital_marketing_agency_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Size', 'digital_marketing_agency-premium' )
    )
);

lzCustomLable($wp_customize, 'digital_marketing_agency_innerpageh5_fontsizeset', 'digital_marketing_agency_innerpagefont_settings', ' Heading 5:');


$wp_customize->add_setting(
    'pages_innerpageheading5',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '17px', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading5',
    array(
        'settings'      => 'pages_innerpageheading5',
        'section'       => 'digital_marketing_agency_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Size', 'digital_marketing_agency-premium' )
    )
);

lzCustomLable($wp_customize, 'digital_marketing_agency_innerpageh6_fontsizeset', 'digital_marketing_agency_innerpagefont_settings', ' Heading 6:');


$wp_customize->add_setting(
    'pages_innerpageheading6',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '16px', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading6',
    array(
        'settings'      => 'pages_innerpageheading6',
        'section'       => 'digital_marketing_agency_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Size', 'digital_marketing_agency-premium' )
    )
);
?>