<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new digital_marketing_agency_WP_Customize_Panel( $wp_customize, 'digital_marketing_agency_header_panel1', array(  
    'title' => 'General Settings',
    'priority' => 1,
  )); 
 
  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new digital_marketing_agency_WP_Customize_Panel( $wp_customize, 'digital_marketing_agency_header_panel2', array(
    'title' => 'Header',
    'panel' => 'digital_marketing_agency_header_panel1',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'digital_marketing_agency_section', array(
    'title' => 'Section Test',
    'panel' => 'digital_marketing_agency_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'digital_marketing_agency_header_section' , array(
        'title'    => __( 'All Settings', 'digital_marketing_agency-premium' ),
        'priority' => null,
        'panel' => 'digital_marketing_agency_header_panel2'
    ) );

$wp_customize->add_setting('digital_marketing_agency_reset_allsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digital_marketing_agency_reset_allsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset All Settings', 'digital_marketing_agency'),
  'description' => 'digital_marketing_agency_allsetting_reset_settings',
  'section' => 'digital_marketing_agency_header_section'
)));


    $wp_customize->add_setting('digital_marketing_agency_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digital_marketing_agency_allsetting_nav', array( 
       'section' => 'digital_marketing_agency_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'digital_marketing_agency_show_sticky_header',
                'digital_marketing_agency_header_style',
                'digital_marketing_agency_header_width',
                'digital_marketing_agency_btn_txt',
                'digital_marketing_agency_header_btnlink'
            ),
            'active' => true,
         ), 
          array(
            'name' => esc_html__('Style', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(             
                'header_bgColor1',
                'header_bgColor2',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',                
                'header_btn_bgColor1',
                'header_btn_bgColor2',
                'header_btn_textColor' 
            ),
         )
        ),
    )));
    
    $wp_customize->add_setting( 'digital_marketing_agency_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'digital_marketing_agency_switch_sanitization'
   ) );
   $wp_customize->add_control( new digital_marketing_agency_Toggle_Switch_Custom_Control( $wp_customize, 'digital_marketing_agency_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','digital_marketing_agency' ),
        'section' => 'digital_marketing_agency_header_section'
   )));


    $wp_customize->add_setting('digital_marketing_agency_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','digital_marketing_agency'),
        'choices' => array (
            'Above Slider' => __('Above Slider','digital_marketing_agency'),
            'On Slider' => __('On Slider','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_header_section',
    ));

     $wp_customize->add_setting('digital_marketing_agency_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','digital_marketing_agency'),
        'choices' => array (
            'Box Width' => __('Box Width','digital_marketing_agency'),
            'Full Width' => __('Full Width','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_header_section',
    ));
// Header button 
     $wp_customize->add_setting(
    'digital_marketing_agency_btn_txt',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Inquiry' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_btn_txt',
    array(
        'settings'      => 'digital_marketing_agency_btn_txt',
        'section'       => 'digital_marketing_agency_header_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_setting('digital_marketing_agency_header_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('digital_marketing_agency_header_btnlink',
    array(
        'settings'      => 'digital_marketing_agency_header_btnlink',
        'section'       => 'digital_marketing_agency_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'digital_marketing_agency-premium' )
    )  
);   
    

//addColorPalatOption($wp_customize, 'header_bgColor1', 'digital_marketing_agency_header_section', ' Background color1', '');
//addColorPalatOption($wp_customize, 'header_bgColor2', 'digital_marketing_agency_header_section', 'Background color2', '');

addColorPalatOption($wp_customize, 'header_btn_bgColor1', 'digital_marketing_agency_header_section', 'Button Background Color', ''); 
addColorPalatOption($wp_customize, 'header_btn_bgColor2', 'digital_marketing_agency_header_section', 'Button Background Color', '');
addColorPalatOption($wp_customize, 'header_btn_textColor', 'digital_marketing_agency_header_section', 'Button Text Color', '');

 addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'digital_marketing_agency_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'digital_marketing_agency_header_section', 'Tagline Color', '');
?>