<?php 
$wp_customize->add_section(
    'digital_marketing_agency_service_section',
    array(
        'title'   => __( 'Services', 'digital_marketing_agency' ),
        'panel'   => 'digital_marketing_agency_premium_home_panel1',
        'priority' =>19 
    )
);  
    
$wp_customize->add_setting('digital_marketing_agency_reset_service_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digital_marketing_agency_reset_service_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Service Section Settings', 'digital_marketing_agency'),
  'description' => 'digital_marketing_agency_services_reset_settings',
  'section' => 'digital_marketing_agency_service_section'
))); 

$wp_customize->add_setting('digital_marketing_agency_Services_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digital_marketing_agency_Services_nav', array(
       'section' => 'digital_marketing_agency_service_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'digital_marketing_agency_service_enable', 
                'digital_marketing_agency_services_maintitle',
                'digital_marketing_agency_services_subtitle',
                'digital_marketing_agency_service_head_icon_enable',
                'digital_marketing_agency_service_head_icon',  
                'digital_marketing_agency_service_area_lbl',
                'digital_marketing_agency_service_section_lbl', 
                'digital_marketing_agency_service_number',           
                'digital_marketing_agency_service_icon1',
                'digital_marketing_agency_service_icon2',
                'digital_marketing_agency_service_icon3',
                'digital_marketing_agency_service_icon4',
                'digital_marketing_agency_service_icon5',
                'digital_marketing_agency_service_icon6',
                'digital_marketing_agency_service_icon7',
                'digital_marketing_agency_service_icon8',
                'digital_marketing_agency_service_icon9',
                'digital_marketing_agency_service_icon10',
                'digital_marketing_agency_service_icon11',
                'digital_marketing_agency_service_icon12',
                'digital_marketing_agency_service_heading1',
                'digital_marketing_agency_service_heading2',
                'digital_marketing_agency_service_heading3',
                'digital_marketing_agency_service_heading4',
                'digital_marketing_agency_service_heading5',
                'digital_marketing_agency_service_heading6',
                'digital_marketing_agency_service_heading7',
                'digital_marketing_agency_service_heading8',
                'digital_marketing_agency_service_heading9',
                'digital_marketing_agency_service_heading10',
                'digital_marketing_agency_service_heading11',
                'digital_marketing_agency_service_heading12',
                'digital_marketing_agency_service_page1',
                'digital_marketing_agency_service_page2',
                'digital_marketing_agency_service_page3',
                'digital_marketing_agency_service_page4',
                'digital_marketing_agency_service_page5',
                'digital_marketing_agency_service_page6',
                'digital_marketing_agency_service_page7',
                'digital_marketing_agency_service_page8',
                'digital_marketing_agency_service_page9',
                'digital_marketing_agency_service_page10',
                'digital_marketing_agency_service_page11',
                'digital_marketing_agency_service_page12',
                'digital_marketing_agency_service_icon_enable',
                'digital_marketing_agency_service_button_enable',
                'digital_marketing_agency_service_button_text'
            ),   
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'digital_marketing_agency_service_section_bg_color',
                'digital_marketing_agency_service_section_bg_image',
                'digital_marketing_agency_service_image_opacity',  
                'digital_marketing_agency_service_box_onload_effects',
                'digital_marketing_agency_service_title_case',
                'digital_marketing_agency_services_head_align',
                'digital_marketing_agency_services_content_align', 
                'digital_marketing_agency_services_heading_color1',
                'digital_marketing_agency_services_heading_color2',
                'digital_marketing_agency_services_headingborder_color1',
                'digital_marketing_agency_services_headingborder_color2',
                'digital_marketing_agency_services_title_icon_color1',
                'digital_marketing_agency_services_title_icon_color2',
                'digital_marketing_agency_services_subheading_color',
                'digital_marketing_agency_services_boxBG_color',
                 'digital_marketing_agency_services_icon_color',
                //'digital_marketing_agency_services_icon_color2',
                'digital_marketing_agency_services_iconbg_color1',
                'digital_marketing_agency_services_iconbg_color2',
                 'digital_marketing_agency_services_title_color1',
                'digital_marketing_agency_services_title_color2',
                'digital_marketing_agency_services_text_color',
                'digital_marketing_agency_services_btntext_color',
                'digital_marketing_agency_services_btntextBG_color',
                'digital_marketing_agency_services_btnArrow_color',
                'digital_marketing_agency_services_btnhvrtxt_color',
                'digital_marketing_agency_services_btnhvrBG_color1',
                'digital_marketing_agency_services_btnhvrBG_color2',
                'digital_marketing_agency_services_boxbg_color1',
                'digital_marketing_agency_services_boxbg_color2'            ),
         ),
          array(
            'name' => esc_html__('Layout', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'digital_marketing_agency_service_padding', 
                'digital_marketing_agency_service_top_padding',
                'digital_marketing_agency_service_bottom_padding',
                 'digital_marketing_agency_service_section_width',  
                'digital_marketing_agency_services_post_image_height',
                'digital_marketing_agency_services_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'digital_marketing_agency_service_enable',array(
    'default' => true,
    'sanitize_callback' => 'digital_marketing_agency_switch_sanitization'
) );
$wp_customize->add_control( new digital_marketing_agency_Toggle_Switch_Custom_Control( $wp_customize, 'digital_marketing_agency_service_enable',array(
    'label' => __( 'Disable Section','digital_marketing_agency' ),
    'section' => 'digital_marketing_agency_service_section'
)));

$wp_customize->add_setting(
    'digital_marketing_agency_services_maintitle',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'OUR SERVICES', 'digital_marketing_agency' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_services_maintitle',
    array(
        'settings'      => 'digital_marketing_agency_services_maintitle',
        'section'       => 'digital_marketing_agency_service_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'digital_marketing_agency' )
    )
);

$wp_customize->add_setting('digital_marketing_agency_service_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_service_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','digital_marketing_agency'),
        'choices' => array (
            'No' => __('No','digital_marketing_agency'),
            'Yes' => __('Yes','digital_marketing_agency')        
        ),
        'section' => 'digital_marketing_agency_service_section'
    ));
 $wp_customize->add_setting(
        'digital_marketing_agency_service_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'digital_marketing_agency_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new digital_marketing_agency_Fontawesome_Icon_Chooser(
            $wp_customize,
            'digital_marketing_agency_service_head_icon',
            array(
                // 'settings'      => 'digital_marketing_agency_service_head_icon',
                'section'       => 'digital_marketing_agency_service_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'digital_marketing_agency-premium' ),
                'active_callback' => 'digital_marketing_agency_service_type_icon'
            )
        )
    );


$wp_customize->add_setting(
    'digital_marketing_agency_services_subtitle',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'What We Provide To You', 'digital_marketing_agency' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_services_subtitle',
    array(
        'settings'      => 'digital_marketing_agency_services_subtitle',
        'section'       => 'digital_marketing_agency_service_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'digital_marketing_agency' )
    )
);

$wp_customize->add_setting('digital_marketing_agency_service_number',array('sanitize_callback' => 'digital_marketing_agency_sanitize_text','default' => 2));
$wp_customize->add_control(
    'digital_marketing_agency_service_number',
    array(
        'settings'      => 'digital_marketing_agency_service_number',
        'section'       => 'digital_marketing_agency_service_section',
        'type'          => 'select',
        'label'         => __( 'Number of service to show', 'digital_marketing_agency-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

$ServicesSingleChoice[] = 'select';
if(!is_array($ServicesSingleChoice)){
    $wp_customize->add_setting('digital_marketing_agency_service_area_lbl', array('sanitize_callback'=>'digital_marketing_agency_sanitize_text'));
    $wp_customize->add_control(
        new digital_marketing_agency_Info_Text( 
            $wp_customize,
            'digital_marketing_agency_service_area_lbl',
            array(
                'settings'      => 'digital_marketing_agency_service_area_lbl',
                'section'       => 'digital_marketing_agency_service_section',
                'label'         => __( 'Note:', 'digital_marketing_agency Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the service.</strong> <br/>Please add the service from "service menu" and then select Testimonial to show information.', 'digital_marketing_agency Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('digital_marketing_agency_service_section_lbl', array('sanitize_callback'=>'digital_marketing_agency_sanitize_text'));
$wp_customize->add_control(
    new digital_marketing_agency_Info_Text( 
        $wp_customize,
        'digital_marketing_agency_service_section_lbl',
        array(
            'settings'      => 'digital_marketing_agency_service_section_lbl',
            'section'       => 'digital_marketing_agency_service_section',
            'label'         => __( 'Note:', 'digital_marketing_agency Premium' ), 
            'description'   => __( 'Just place the shortcode "[SERVICES]" in your page to list the service in a page ', 'digital_marketing_agency Premium' ),
        )
    )
);



//service PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'digital_marketing_agency_service_heading'.$i,
        array(
            'sanitize_callback' => 'digital_marketing_agency_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new digital_marketing_agency_Customize_Heading(
            $wp_customize,
            'digital_marketing_agency_service_heading'.$i,
            array(
                'settings'      => 'digital_marketing_agency_service_heading'.$i,
                'section'       => 'digital_marketing_agency_service_section',
                'label'         => __( 'Service', 'digital_marketing_agency Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'digital_marketing_agency_service_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'digital_marketing_agency_service_page'.$i,
        array(
            'settings'      => 'digital_marketing_agency_service_page'.$i,
            'section'       => 'digital_marketing_agency_service_section',
            'type'=> 'select',
            'label'         => __( 'Select Service', 'digital_marketing_agency Premium' ),
            'choices' => $ServicesSingleChoice,
        )
    );
    $wp_customize->add_setting(
        'digital_marketing_agency_service_icon'.$i,
        array(
            'default'           => 'fa fa-bar-chart',
            'sanitize_callback' => 'digital_marketing_agency_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new digital_marketing_agency_Fontawesome_Icon_Chooser(
            $wp_customize,
            'digital_marketing_agency_service_icon'.$i,
            array(
                'settings'      => 'digital_marketing_agency_service_icon'.$i,
                'section'       => 'digital_marketing_agency_service_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'digital_marketing_agency-premium' )
            )
        )
    );
}

$wp_customize->add_setting( 'digital_marketing_agency_service_icon_enable',array(
    'default' => true,
    'sanitize_callback' => 'digital_marketing_agency_switch_sanitization'
) );
$wp_customize->add_control( new digital_marketing_agency_Toggle_Switch_Custom_Control( $wp_customize, 'digital_marketing_agency_service_icon_enable',array(
    'label' => __( 'Icon Display','digital_marketing_agency' ),
    'section' => 'digital_marketing_agency_service_section'
)));

$wp_customize->add_setting( 'digital_marketing_agency_service_button_enable',array(
    'default' => true,
    'sanitize_callback' => 'digital_marketing_agency_switch_sanitization'
) );
$wp_customize->add_control( new digital_marketing_agency_Toggle_Switch_Custom_Control( $wp_customize, 'digital_marketing_agency_service_button_enable',array(
    'label' => __( 'Button Display','digital_marketing_agency' ),
    'section' => 'digital_marketing_agency_service_section'
)));

$wp_customize->add_setting(
    'digital_marketing_agency_service_button_text',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Learn More' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_service_button_text',
    array(
        'settings'      => 'digital_marketing_agency_service_button_text',
        'section'       => 'digital_marketing_agency_service_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'digital_marketing_agency-premium' )
    )
);

  $wp_customize->add_setting( 'digital_marketing_agency_service_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'digital_marketing_agency_service_section_bg_color', array(
        'label' => __('Section Background Color','digital_marketing_agency'),
       'section' => 'digital_marketing_agency_service_section',
    )));

    $wp_customize->add_setting( 'digital_marketing_agency_service_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'digital_marketing_agency_service_section_bg_image', array(
        'label' => __('Section Background Image','digital_marketing_agency'),
       'section' => 'digital_marketing_agency_service_section',
    )));


 $wp_customize->add_setting('digital_marketing_agency_service_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'digital_marketing_agency_sanitize_float'
    ));
    $wp_customize->add_control(new digital_marketing_agency_Custom_Control( $wp_customize, 'digital_marketing_agency_service_image_opacity',array(
    'label' => __('Background Opacity','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


 $wp_customize->add_setting('digital_marketing_agency_service_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_service_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','digital_marketing_agency'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','digital_marketing_agency'),
            'wow bounceInRight' => __('Bounce In Right','digital_marketing_agency'),
            'wow bounceInUp' => __('Bounce In Up','digital_marketing_agency'),
            'wow bounceInDown' => __('Bounce In Down','digital_marketing_agency'),
            'wow zoomIn' => __('Zoom In','digital_marketing_agency'),
            'wow zoomOut' => __('Zoom Out','digital_marketing_agency'),
            'wow fadeInDown' => __('Fade In Down','digital_marketing_agency'),            
            'wow fadeInUp' => __('Fade In Up','digital_marketing_agency'),
            'wow fadeInLeft' => __('Fade In Left','digital_marketing_agency'),
            'wow fadeInRight' => __('Fade In Right','digital_marketing_agency'),
            'flip-up' => __('Flip Up','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_service_section',
    ));

    $wp_customize->add_setting('digital_marketing_agency_services_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_services_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','digital_marketing_agency'),
        'choices' => array (
            'Center' => __('Center','digital_marketing_agency'),
            'Left' => __('Left','digital_marketing_agency'),
            'Right' => __('Right','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_service_section',
    ));

    $wp_customize->add_setting('digital_marketing_agency_services_content_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_services_content_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','digital_marketing_agency'),
        'choices' => array (
            'Center' => __('Center','digital_marketing_agency'),
            'Left' => __('Left','digital_marketing_agency'),
            'Right' => __('Right','digital_marketing_agency')
        ), 
        'section' => 'digital_marketing_agency_service_section',
    ));

     $wp_customize->add_setting('digital_marketing_agency_service_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_service_title_case',array(
        'type' => 'select',
        'label' => __('Services Title Case','digital_marketing_agency'),
        'choices' => array (
            'Uppercase' => __('Uppercase','digital_marketing_agency'),
            'Lowercase' => __('Lowercase','digital_marketing_agency'),
            'Capitalize' => __('Capitalize','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_service_section',
    ));

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_heading_color1', 'digital_marketing_agency_service_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_services_heading_color2', 'digital_marketing_agency_service_section', 'Heading Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_headingborder_color1', 'digital_marketing_agency_service_section', 'Heading border Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_services_headingborder_color2', 'digital_marketing_agency_service_section', 'Heading border Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_title_icon_color1', 'digital_marketing_agency_service_section', 'Heading Icon Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_services_title_icon_color2', 'digital_marketing_agency_service_section', 'Title Icon Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_subheading_color', 'digital_marketing_agency_service_section', 'Subheading Color ', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_boxBG_color', 'digital_marketing_agency_service_section', 'Service Box BG Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_icon_color', 'digital_marketing_agency_service_section', 'Service Box Icon Color', '');
//addColorPalatOption($wp_customize, 'digital_marketing_agency_services_icon_color2', 'digital_marketing_agency_service_section', 'Icon color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_iconbg_color1', 'digital_marketing_agency_service_section', 'Icon Background Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_services_iconbg_color2', 'digital_marketing_agency_service_section', 'Icon Background Color', '');
 
addColorPalatOption($wp_customize, 'digital_marketing_agency_services_title_color1', 'digital_marketing_agency_service_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_services_title_color2', 'digital_marketing_agency_service_section', 'Title Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_text_color', 'digital_marketing_agency_service_section', 'Service Box Text Color ', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_btntext_color', 'digital_marketing_agency_service_section', 'Button Text Color', '');


addColorPalatOption($wp_customize, 'digital_marketing_agency_services_btntextBG_color', 'digital_marketing_agency_service_section', 'Button Text BG Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_btnArrow_color', 'digital_marketing_agency_service_section', 'Button Arrow Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_btnhvrtxt_color', 'digital_marketing_agency_service_section', 'Button Hover Text Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_btnhvrBG_color1', 'digital_marketing_agency_service_section', 'Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_services_btnhvrBG_color2', 'digital_marketing_agency_service_section', 'Button Hover BG Color', '');



addColorPalatOption($wp_customize, 'digital_marketing_agency_services_boxbg_color1', 'digital_marketing_agency_service_section', 'Button Arrow BG Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_services_boxbg_color2', 'digital_marketing_agency_service_section', 'Button Arrow BG Color', '');

 $wp_customize->add_setting('digital_marketing_agency_service_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('digital_marketing_agency_service_padding',array(
      'label' => __('Section Padding','digital_marketing_agency'),
      'section' => 'digital_marketing_agency_service_section'
   ));

    $wp_customize->add_setting('digital_marketing_agency_service_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('digital_marketing_agency_service_top_padding',array(
    'type' => 'number',
    'label' => __('Top','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_service_section',
    ));
     $wp_customize->add_setting('digital_marketing_agency_service_bottom_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('digital_marketing_agency_service_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_service_section',
    ));


  $wp_customize->add_setting('digital_marketing_agency_service_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_service_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','digital_marketing_agency'),
        'choices' => array (
            'Box Width' => __('Box Width','digital_marketing_agency'),
            'Full Width' => __('Full Width','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_service_section',
    ));


// backgroundManager($wp_customize, 'services', 'digital_marketing_agency_service_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting('digital_marketing_agency_services_post_image_height',array(
        'default' => 200,
        'sanitize_callback' => 'digital_marketing_agency_sanitize_integer'
    ));
    $wp_customize->add_control(new digital_marketing_agency_Custom_Control( $wp_customize, 'digital_marketing_agency_services_post_image_height',array(
    'label' => __('Image Height','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('digital_marketing_agency_services_post_excerpt',array(
        'default' => 20,
        'sanitize_callback' => 'digital_marketing_agency_sanitize_integer'
    ));
    $wp_customize->add_control(new digital_marketing_agency_Custom_Control( $wp_customize, 'digital_marketing_agency_services_post_excerpt',array(
    'label' => __('Excerpt Length','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
?>