<?php 

// /HOME PAGE SECTION CHANGE SEQUENCE SETTINGS IN CUSTOMIZER
$wp_customize->add_section(
	'homepage_section_sequence_change_settings',
	array(
		'title' => __( 'Section Sequence', 'digital_marketing_agency-premium' ),
        // 'panel' => 'digital_marketing_agency_premium_home_panel'
		'priority' =>23
	)
);

$wp_customize->add_setting(
	'homesection_section1',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'services', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section1',
	array(
		'settings'      => 'homesection_section1',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 1', 'digital_marketing_agency-premium' )
	)
);


 
$wp_customize->add_setting(
	'homesection_section2',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'about', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section2',
	array(
		'settings'      => 'homesection_section2',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 2', 'digital_marketing_agency-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section3',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'counter', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section3',
	array(
		'settings'      => 'homesection_section3',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 3', 'digital_marketing_agency-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section4',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'features', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section4',
	array(
		'settings'      => 'homesection_section4',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 4', 'digital_marketing_agency-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section5',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'step', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section5',
	array(
		'settings'      => 'homesection_section5',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 5', 'digital_marketing_agency-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section6',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'project', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section6',
	array(
		'settings'      => 'homesection_section6',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 6', 'digital_marketing_agency-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section7',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'facility', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section7',
	array(
		'settings'      => 'homesection_section7',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 7', 'digital_marketing_agency-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section8',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'team', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section8',
	array(
		'settings'      => 'homesection_section8',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 8', 'digital_marketing_agency-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section9',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'testimonial', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section9',
	array(
		'settings'      => 'homesection_section9',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 9', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_setting(
	'homesection_section10',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'pricing', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section10',
	array(
		'settings'      => 'homesection_section10',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 10', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_setting(
	'homesection_section11',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'contact', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section11',
	array(
		'settings'      => 'homesection_section11',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 11', 'digital_marketing_agency-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section12',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'blog', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section12',
	array(
		'settings'      => 'homesection_section12',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 12', 'digital_marketing_agency-premium' )
	)
);

// $wp_customize->add_setting(
// 	'homesection_section13',
// 	array(
// 		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
// 		'default'           => __( 'ourclients', 'digital_marketing_agency-premium' )
// 	)
// );
// $wp_customize->add_control(
// 	'homesection_section13',
// 	array(
// 		'settings'      => 'homesection_section13',
// 		'section'       => 'homepage_section_sequence_change_settings',
// 		'type'          => 'text',
// 		'label'         => __( 'Section 13', 'digital_marketing_agency-premium' )
// 	)
// );

$wp_customize->add_setting(
	'homesection_section13',
	array(
		'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
		'default'           => __( 'newsletter', 'digital_marketing_agency-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section13',
	array(
		'settings'      => 'homesection_section13',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 13', 'digital_marketing_agency-premium' )
	)
);
?>