<?php
/**
 * Template Name: Blog Page with Left Sidebar Template
 *
 * @package digital marketing agency Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="digital_marketing_agency-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('digital_marketing_agency_innerpage_image_height','350')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
  
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('digital_marketing_agency_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('digital_marketing_agency_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('digital_marketing_agency_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>    
  <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
         <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('digital_marketing_agency_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('digital_marketing_agency_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('digital_marketing_agency_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php digital_marketing_agency_lite_the_breadcrumb(); ?></div>
                <!--  <?php //digital_marketing_agency_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>

</header><!-- .entry-header --> 
<div class="digital_marketing_agency-innerpage-overlay"></div>
</div>

<main id="innerpage-box">
    <div class="<?php if(get_theme_mod('digital_marketing_agency_blog_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('digital_marketing_agency_blog_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
           <div class="inner_contentbox">
              <div class="row">

        <div class="col-md-4">
      <div id="secondary" class="widget-area">
        <?php  dynamic_sidebar('digital_marketing_agency-blog-sidebar'); ?>
      </div>
    </div>
    <div id="blog-box" class="ht-blog-wrap innerpage-whitebox col-md-8">
      <?php
            $current_page = max(1, get_query_var('paged'));
            $digital_marketing_agency_blog_cat_exclude = get_theme_mod(' digital_marketing_agency_blog_categories');
            $digital_marketing_agency_blog_cat_exclude = explode(',', $digital_marketing_agency_blog_cat_exclude);
            $excerpt = get_theme_mod('digital_marketing_agency_blog_categories_settings');
            $args = array(
                'category__not_in' => $digital_marketing_agency_blog_cat_exclude,
                // 'page'=,
                'paged'=> $current_page,
            );
            $query = new WP_Query($args);
            if($query -> have_posts()):
                while($query -> have_posts()) : $query -> the_post();
                 $digital_marketing_agency_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
                 $img = (has_post_thumbnail())?esc_url($digital_marketing_agency_image[0]):get_template_directory_uri().'/images/default.png';
                 ?>
                 <div class="inner-blog-post wow zoomIn">
                  <div class="inner-blogpost">
                    <div class="row">
                   <div class="col-md-6 col-sm-6 col-xs-12">                  
                    <?php
                        if(get_theme_mod('blog_featured_img_on_off') != 'on' ){
                      ?>
                     <div class="ht-blog-thumbnail">
                       <a href="<?php the_permalink(); ?>">
                          <img class="inner-blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>" style="height: <?php echo esc_attr(get_theme_mod('digital_marketing_agency_blogpage_post_image_height','350')) ?>px;">
                          <div class="clearfix"></div>
                     
                      <div class="overlay"></div>
                       </a>
                       <?php if (get_theme_mod('digital_marketing_agency_show_date',true) != false){ ?>
                          <div class="blog-date"> <i class="fa fa-calendar" aria-hidden="true"></i> <?php echo get_the_date( 'j F, Y' ); ?></div>
                        <?php }?>
                    </div>
                    <?php } ?>
                      
                  </div>
                   <div class="col-md-6 col-sm-6 col-xs-12"> 
                    <div class="inner-blogpost-info">
                     
                       <div class="blog-info-area"> 

                         <?php if (get_theme_mod('digital_marketing_agency_show_author',true) != false || get_theme_mod('digital_marketing_agency_show_time',true) != false || get_theme_mod('digital_marketing_agency_show_comments',true) != false){ ?>
                            <ul class="metabox"> 
                              <?php if (get_theme_mod('digital_marketing_agency_show_comments',true) != false){ ?>
                                  <li class="blog-comment"> <i class="fa fa-comment-o" aria-hidden="true"></i><?php echo $my_var = get_comments_number(); ?></li>
                              <?php }?>

                              <?php if (get_theme_mod('digital_marketing_agency_show_author',true) != false){ ?>
                               <li class="blog-author"><i class="fa fa-user" aria-hidden="true"></i> By <?php echo get_the_author(); ?> 
                              </li>
                              <?php }?>
                             
                               <?php if (get_theme_mod('digital_marketing_agency_show_time',true) != false){ ?>
                                <li class="blog-time"><i class="fa fa-clock-o" aria-hidden="true"></i><?php echo the_time( 'g:i a' ) ?></li>
                              <?php }?>                            
                               <div class="clearfix"></div>
                            </ul>
                          <?php }?>                         
                        </div>
                        <div class="clearfix"></div>
                          <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?></h2></a>
                          <div class="inner-blog-excerpt">
                                <?php $digital_marketing_agency_excerpt = get_the_excerpt(); echo esc_html( digital_marketing_agency_string_limit_words( $digital_marketing_agency_excerpt, esc_attr(get_theme_mod('digital_marketing_agency_blogpage_post_excerpt','40')) ) ); ?>

                          </div>

                         <?php
                        $blogbutton = get_theme_mod('blog_page_btn_txt', 'READ MORE'); 
                      ?>

                        <?php if( get_theme_mod('blog_page_button_display','show' ) == 'show') :
                          ?>  
                          <div class="blog-page-btn">
                            <a href="<?php the_permalink(); ?>" target="_blank">      
                             <i class="fa fa-caret-square-o-right" aria-hidden="true"></i> <?php echo ($blogbutton );  ?>
                            </a></div>
                          <?php endif ?>
                   <div class="clearfix"></div>
                 </div>
               </div>
                   <div class="clearfix"></div>
                   <?php if (get_theme_mod('digital_marketing_agency_show_category',true) != false){ ?>
                        <div class="blog-category"> 
                          <span><i class="fa fa-file-o" aria-hidden="true"></i><?php foreach((get_the_category()) as $category) { echo $category->cat_name . ', '; } ?></span>
                        </div>
                      <?php }?>
                      <?php if (get_theme_mod('digital_marketing_agency_show_tags',true) != false){ ?>
                          <div class="blog-tags">
                            <i class="fa fa-tags" aria-hidden="true"></i>
                            <?php
                                  if( $tags = get_the_tags() ) {
                                    foreach( $tags as $content_tag ) {
                                      $sep = ( $content_tag === end( $tags ) ) ? '' : ' ';
                                      echo '<a href="' . esc_url(get_term_link( $content_tag, $content_tag->taxonomy )) . '" class="ml-2 mb-2">' . esc_html($content_tag->name) . '</a>' . esc_html($sep);
                                    }
                                  } ?>
              
                            </div>
                      <?php }?>
                </div>
               
                   <div class="clearfix"></div> 
                   
           </div>
              <script>
            jQuery.noConflict();
            $(function(){
              function innerblogpostHeight(){
                var ht = 0;
                $('.page-template-blog-template .inner-blogpost-info').each(function(i){
                  var tHt = $(this).height();
                  if(ht<tHt){
                    ht=tHt;
                  }
                });
                $('.page-template-blog-template .inner-blogpost-info').height(ht+'px');
              }
              innerblogpostHeight();
            });
            $( window ).resize(function(){
              innerblogpostHeight();
            });
          </script>
       </div> 
       <?php
   endwhile;
endif;
wp_reset_postdata();
?>
<div class="clearfix"></div>
</div>


    <div class="clearfix"></div>
    
    <div class="pagingation">
        <?php lzGetPagination($query);?>
    </div>
     <div class="clearfix"></div>
    </div>
            <div class="clearfix"></div>
    </div>
  </div>
</main><!-- #main -->
<?php get_footer(); ?>